Skip to main content
GET
/
apps
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const appListResponse of client.apps.list()) {
  console.log(appListResponse.id);
}
import os
from kernel import Kernel

client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
page = client.apps.list()
page = page.items[0]
print(page.id)
package main

import (
"context"
"fmt"

"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)

func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Apps.List(context.TODO(), kernel.AppListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.onkernel.com/apps \
--header 'Authorization: Bearer <token>'


[
  {
    "id": "rr33xuugxj9h0bkf1rdt2bet",
    "app_name": "my-app",
    "version": "1.0.0",
    "region": "aws.us-east-1a",
    "deployment": "<string>",
    "actions": [
      {
        "name": "analyze",
        "input_schema": {},
        "output_schema": {}
      }
    ],
    "env_vars": {}
  }
]
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

app_name
string

Filter results by application name.

version
string

Filter results by version label.

limit
integer
default:20

Limit the number of apps to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Offset the number of apps to return.

Required range: x >= 0
query
string

Search apps by name.

Response

List of apps.

id
string
required

Unique identifier for the app version

Example:

"rr33xuugxj9h0bkf1rdt2bet"

app_name
string
required

Name of the application

Example:

"my-app"

version
string
required

Version label for the application

Example:

"1.0.0"

region
string
required

Deployment region code

Allowed value: "aws.us-east-1a"
Example:

"aws.us-east-1a"

deployment
string
required

Deployment ID

actions
object[]
required

List of actions available on the app

env_vars
object
required

Environment variables configured for this app version